2012-07-22  Bernhard Pfaff  <bp@callisto.local>

	* DESCRIPTION (Package): Included Authors@R

2011-02-25  Dr. Bernhard Pfaff  <bp@callisto>

	* Changed import directive in NAMESPACE for BIC

2010-09-07    Matthieu Stigler

	* R/ur-df.R: Add match.arg for arg type. 

2009-09-28    <Dr. Bernhard Pfaff  <bp@callisto>>

	* R/ur-za.R: Changed slot testreg to lm object instead of
	summary.lm for other specifications than 'both'. 
	
2009-09-24    <Dr. Bernhard Pfaff  <bp@callisto>>

	* man/alphaols.Rd: Fixed link for lm
	* man/cajools.Rd: Fixed link for lm
	* man/cajorls.Rd: Fixed link for lm
	* R/ur-za.R: Changed slot testreg to lm object instead of summary.lm 
	* R/methods-show.R (show.urca): Included summary call for ur.za@testreg 
	* man/ur.za-class.Rd: Adjusted description for testreg. 

2009-05-04  Dr. Bernhard Pfaff  <bp@callisto>

	* inst/book-ex/Rcode-1-3.R: Changed start year for unemployment 	rate. 

2009-01-08  Dr. Bernhard Pfaff  <bp@callisto>

	* man/ur.df.Rd: Argument list ammended for selectlags.
	* src/UnitRootMacKinnon.f (fcrit): GPL Licence agreement included
	as comment.
	* inst/McKinnonLicense.txt: GPL Licence agreement of
	Prof. McKinnon included. 

2008-12-23    Dr. Bernhard Pfaff  <bp@callisto>

	* man/MacKinnonPValues.Rd: Inclusion of Mackinnon functions from fUnitRoots.
	* R/MacKinnonPValues.R: Inclusion of functions from fUnitRoots.
	* src/UnitRootMacKinnon.f (fcrit): Inclusion of FORTRAN routines.

2008-11-27    Dr. Bernhard Pfaff  <bp@callisto>

	* R/methods-show.R (show.urca): Fixed invisible(x) to
	invisible(object) -> no visible binding for global variable 'x'
	during QC of urca.
	* inst/inst: Renamed folder containing Rcmdr-plugin to inst/Rcmdr.

2008-11-26    Dr. Bernhard Pfaff  <bp@callisto>

	* book-ex/Rcode-4-2.R: Bug fixed: error[-c(-1, 100)].

2008-06-30  Dr. Bernhard Pfaff  <bp@callisto>

	* R/alrtest.R (alrtest): Inserted eigen(... , symmetric = TRUE)
	* inst/CITATION: Updated citation file to second edition.
	* inst/book-ex/: R code examples from second edition included.

2007-10-31    Dr. Bernhard Pfaff <bernhard@pfaffikus.de>

	* R/ca-jo.R (ca.jo): Argument 'ctable' dropped and use of
	Osterwald-Lenum critical values instead.
	* man/ca.jo.Rd: Documentation adjusted for change in ca.jo(). 

2007-10-29    Dr. Bernhard Pfaff <bernhard@pfaffikus.de>

	* R/ca-jo.R (ca.jo): Exchnaged argument 'const' for 'ecdet'.
	* R/lttest.R (lttest): Adjusted for argument 'ecdet' in ca.jo().
	* R/ablrtest.R (ablrtest): Adjusted for argument 'ecdet' in ca.jo().
	* R/All-classes.R: Adjusted relevant classes for argument 'ecdet'.
	* R/alrtest.R (alrtest): Adjusted for argument 'ecdet' in ca.jo().
	* R/bh5lrtest.R: Adjusted for argument 'ecdet' in ca.jo().
	* R/bh6lrtest.R: Adjusted for argument 'ecdet' in ca.jo().
	* R/blrtest.R: Adjusted for argument 'ecdet' in ca.jo().
	* R/cajolst.R: Adjusted for argument 'ecdet' in ca.jo().
	* man/ca.jo.Rd: Adjusted documentation and example for argument 'ecdet' in ca.jo().
	* man/ca.jo-class.Rd: Exchanged 'const'-slot with 'ecdat'-slot.
	* man/ablrtest.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/cajo.test-class.Rd: Exchanged 'const'-slot with 'ecdat'-slot.
	* man/alphaols.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/alrtest.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/blrtest.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/cajools.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/cajorls.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/lttest.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/plot-methods.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/plotres.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/show-methods.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* man/summary-methods.Rd: Adjusted example for argument 'ecdet' in ca.jo().
	* inst/Rcmdr-urca.R: Adjusted for ecdet.

	
2007-06-12    Dr. Bernhard Pfaff <bernhard@pfaffikus.de>

	* man/cajorls.Rd: \encoding{latin1} inserted.
	* man/Raotbl3.Rd: \encoding{latin1} inserted and "''" fixed.
	* man/Raotbl4.Rd: \encoding{latin1} inserted and "''" fixed.
	* man/Raotbl5.Rd: \encoding{latin1} inserted and "''" fixed.
	* man/Raotbl6.Rd: \encoding{latin1} inserted and "''" fixed.

2007-05-21    Dr. Bernhard Pfaff <bernhard@pfaffikus.de>

	* R/All-classes.R: ca.jo: inserted slot 'spec' for VECM specification.

2007-05-07   Dr. Bernhard Pfaff <bernhard@pfaffikus.de>
	* Splitted file 'urca.R' in separate files.
	* R/cajorls.R (cajorls): Function for estimating restricted VECM
	included. 

2007-03-22   Dr. Bernhard Pfaff <bernhard@pfaffikus.de>

	* R/urca.R (ca.jo): Colnames handling for dumvars added.

2007-03-16   Dr. Bernhard Pfaff <bernhard@pfaffikus.de>

	* R/urca.R (ur.df): Fixed rowselec for n >= 500.

2007-03-08   Dr. Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ca.jo-class): Call as slot inserted.
	* R/urca.R (ca.jo): Rownames of PI, W, GAMMA appended with ".d" 
	for designation of first differences.

2007-02-09   Dr. Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ur.pp): Set critical values for Z-alpha to NA.
	* R/urca.R (show.urca): Adjusted show method for objects of class 'ur.pp', accordingly.
	
2007-01-10  Dr. Bernhard Pfaff  <bernhard@pfaffikus.de>

	* inst/Rcmdr-menus.txt: activation columne inserted.

2006-12-27  Dr. Bernhard Pfaff  <bernhard@pfaffikus.de>

	* data/npext.rda: missing series M inserted

2006-11-04  Dr. Bernhard Pfaff  <bernhard@pfaffikus.de>

	* NAMESPACE: import(methods) inserted

2006-10-10  Dr. Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R: '\&' replaced by 'and' and '\%' replaced by 'pct'.

2006-09-05  Dr. Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ca.po): cvals for Pz and Pu swapped

2006-09-03  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ca.po): trd <- 1:(nobs+1) inserted for type Pu and trend.

2006-05-02    Bernhard Pfaff  <bernhard@pfaffikus.de>

	* man/plot-methods.Rd: Added entry for 'ur.df'.
	* man/show.urca.Rd: Added entry for 'ur.df'.
	* man/summary-methods.Rd: Added entry for 'ur.df'. 
	* man/show-methods.Rd: Added entry for 'ur.df'.

2006-04-23  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* inst/Rcmdr-menus.txt: Changed last column entries to
	packageAvailable() where applicable.

2006-02-24    Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ur.za): Inserted default value lag=NULL in function header.

2006-01-31  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (lttest): Added 'dumvar=z@dumvar' in function calls 'ca.jo' for test1 and test2. 

	* R/urca.R (ur.df): Coercion of 'y': 'y <- as.vector(y)'.

	* R/urca.R (.spcv): Omittance of argument checking and dropping of optinal arguments in function header. Furthermore, 'pol.deg <- pol.deg[1]' and 'signif <- signif[1]' has been introduced such that calls like 'summary(ur.sp(y))' are executed properly.

	* R/urca.R (ca.jo): Enhanced labeling of slots: Vorg, V, W, PI, Z0, Z1, ZK, R0, RK implemented. Inserted conditionally stop for 'K < 2'.

	* R/urca.R (cajools): Arguments to 'lm()' call is replaced with a formula and a data frame. 

	* R/urca.R (alphaols): colnames for matrix 'RKV' inserted and arguments to 'lm()' call is replaced with a formula and a data frame. 

	* R/urca.R (cajolst): Enhanced labeling of slots: Vorg, V, W, PI, Z0, Z1, ZK, R0, RK implemented.

2005-12-28  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* inst/CITATION: Citation for package urca added.

2005-04-24  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* inst/Rcmdr-menus.txt: Added columne "activation" as introduced
	with version 1.0-0 of Rcmdr

	* inst/Rcmdr-urca.R: Rewrite according to Rcmdr 1.0-0 functions defintion

2005-03-11  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ur.df): Phi1, phi2 and phi3 statistic added.

2005-03-10  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ur.df): Content of slot testreg changed to object of
	class 'lm'.

2005-03-09  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* NAMESPACE: Function 'ur.df' and class 'ur.df' added.

	* man/ur.df-class.Rd: Documentation for class 'ur.df' added.

	* man/ur.df.Rd: Documentation for augmented Dickey-Fuller test added.

	* R/urca.R (ur.df): Augmented-Dickey-Fuller Test added.

2005-03-03  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* man/UKconinc.Rd: Data set used by Hylleberg et al. inserted.

2005-02-24  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (cajolst): Calculation of test statistic as in
	Trenkler, C. (2003). 

2005-02-11  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* man/bh6lrtest.Rd: Documentation for function bh6lrtest inserted.

	* R/urca.R (bh5lrtest): New function for testing the validity of
	partly known cointegration relations. 
	
	* R/urca.R (bh6lrtest): New functions for testing restrictions on partly known cointegration relationships. 

	* man/bh5lrtest.Rd: Documentation for function bh5lrtest inserted.

2005-02-08  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* R/urca.R (ca.jo): Tables of critical values explicity
	incorporated as argument 'table': A1, A2, A3

	* man/ca.jo.Rd (spec): new argument 'table' documented.

2005-02-07  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* man/UKconsumption.Rd: Typo fixed.

	* man/UKpppuip.Rd: Data set of Johansen and Juselius (1992) added.

2004-12-08  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* DESCRIPTION (Maintainer): Email adress changed

2004-12-01  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* inst/Rcmdr-urca.R: x11() device added in function urcaza for
	plotting the path of the test statistic.

2004-11-29  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* inst/Rcmdr-menus.txt: Menu structure for URCA add-in of Rcmdr
	inserted. 

	* inst/Rcmdr-urca.R: URCA functions for Rcmdr inserted. 

	* inst/README: README file for Rcmdr inserted.

	* man/ablrtest.Rd: Typo in description fixed.

2004-11-23  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* man/sumurca-class.Rd: new class introduced for objects created
	by method-summary.

	* man/show-methods.Rd: show-method for objects of class sumurca included.

	* R/urca.R: new class `sumurca' inserted, that holds results of
	applying method-summary.
	show-method inserted for objects of class `sumurca'.

	* man/UKconsumption.Rd: data set used in Charemza, W. (1997) for analysing
	U.K. private consumption inserted.

2004-11-19  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* man/ur.za.Rd: \concept added

	* man/ur.sp.Rd: \concept added

	* man/ur.pp.Rd: \concept added

	* man/ur.kpss.Rd: \concept added

	* man/ur.ers.Rd: \concept added

	* man/Raotbl7.Rd: \concept added

	* man/Raotbl6.Rd: \concept added

	* man/Raotbl4.Rd: \concept added

	* man/Raotbl5.Rd: \concept added

	* man/Raotbl3.Rd: \concept added

	* man/Raotbl2.Rd: \concept added

	* man/Raotbl1.Rd: \concept added

	* man/nporg.Rd: \concept added

	* man/plotres.Rd: \concept added 

	* man/npext.Rd: \concept added

	* man/lttest.Rd: \concept added

	* man/finland.Rd: \concept added

	* man/ecb.Rd: \concept added

	* man/denmark.Rd: \concept added

	* man/ca.po.Rd: \concept added

	* man/ca.jo.Rd: \concept added 

	* man/cajools.Rd: \concept added 

	* man/cajolst.Rd: \concept added

	* man/blrtest.Rd: \concept added 
	
	* man/alrtest.Rd: \concept added

	* man/alphaols.Rd: \concept added

	* man/ablrtest.Rd: \concept added

2004-11-14  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* COPYING: inserted file.

2004-11-01  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* man/Raotbl7.Rd: Typo fixed.

	* man/Raotbl6.Rd: Typo fixed.

	* man/Raotbl5.Rd: Typo fixed.

	* man/Raotbl4.Rd: Typo fixed.
	
	* man/Raotbl3.Rd: Typo fixed.

	* man/Raotbl2.Rd: Typo fixed.

	* man/Raotbl1.Rd: Typo fixed.

2004-10-31  Bernhard Pfaff  <bernhard@pfaffikus.de>

	* DESCRIPTION (Date): 2004-10-31
	(Depends): R (>= 2.0.0)

	* man/Raotbl7.Rd: new data set introduced.

	* man/Raotbl6.Rd: new data set introduced.

	* man/Raotbl5.Rd: new data set introduced.

	* man/Raotbl4.Rd: new data set introduced.

	* man/Raotbl3.Rd: new data set introduced. 
	
	* man/Raotbl2.Rd: new data set introduced.

	* man/Raotbl1.Rd: new data set introduced.

	* man/nporg.Rd: data saved with compress=TRUE.

	* man/npext.Rd: data saved with compress=TRUE.

	* man/finland.Rd: data saved with compress=TRUE. 

	* man/ecb.Rd: data saved with compress=TRUE.

	* man/denmark.Rd: data saved with compress=TRUE.

